Bug 205015 - Unable to build monodevelop due to gtk-sharp2 problems
Unable to build monodevelop due to gtk-sharp2 problems
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtk-sharp2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: 205012
  Show dependency treegraph
 
Reported: 2006-09-02 06:13 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 16:43:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build log from monodevelop (11.58 KB, text/plain)
2006-09-02 06:13 EDT, Paul F. Johnson
no flags Details

  None (edit)
Description Paul F. Johnson 2006-09-02 06:13:28 EDT
Description of problem:
Something has broken in rawhide which means that I am unable to rebuild
monodevelop (which means the fixes for monodoc, boo and gtksourceview-sharp
cannot be used)

Version-Release number of selected component (if applicable):
gtk-sharp2 : 2.10.0-1
gnome-sharp : 2.16.0-1

How reproducible:
Always

Steps to Reproduce:
1. grab the srpm for monodevelop, install and try and build
  
Actual results:
See attachment - the interesting stuff is at the end

Expected results:
monodevelop should build

Additional info:
I have also tried to rebuild gnome-sharp and gtk-sharp2 against the current
rawhide gnome and gtk2 installed on my machine and that does not solve the problem.
Comment 1 Paul F. Johnson 2006-09-02 06:13:28 EDT
Created attachment 135425 [details]
build log from monodevelop
Comment 2 Alexander Larsson 2006-09-04 04:28:13 EDT
./MonoDevelop.SourceEditor.Gui/SourceEditorBuffer.cs(323,8): error CS0507:
`MonoDevelop.SourceEditor.Gui.SourceEditorBuffer.HasSelection.get': cannot
change access modifiers when overriding `internal' inherited member
`Gtk.TextBuffer.HasSelection.get'
/usr/lib64/mono/gtk-sharp-2.0/gtk-sharp.dll: `Gtk.TextBuffer.HasSelection', name
of symbol related to previous error
./MonoDevelop.SourceEditor.Gui/SourceEditorWidget.cs(26,13): error CS0104:
`PrintJob' is an ambiguous reference between `Gtk.PrintJob' and `Gnome.PrintJob'

These seem to be bugs in monodevelop. You'll have to patch them to work with
gtk-sharp 2.10.
Comment 3 Paul F. Johnson 2006-09-04 16:43:27 EDT
Thanks. Closing the bug

Note You need to log in before you can comment on or make changes to this bug.